/*
  File: OTAssignField.h
  Authors: Bergerson
  Modification History:

  Created 7/24/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <appkit/TextField.h>

#define OTASSIGNFIELD_CURRENT_VERSION 11

@interface OTAssignField: TextField
{
  char *lhs;
  BOOL delayed;
  BOOL evaluateOnSet;
  char *assignment;
  int statusAlert;
}

- initFrame: (const NXRect *) fr;
- free;

- (const char *)lhs;
- setLhs: (const char *) aNewLhs;
  
- (BOOL) isDelayed;
- setDelayed: (BOOL)flag;

- (BOOL) isEvaluateOnSet;
- setEvaluateOnSet: (BOOL) flag;

- (const char *) assignment;
- constructAssignment;

- (int) statusAlert;
- setStatusAlert: (int) type;

- textDidEnd: textObject endChar:(unsigned short) whyEnd;

/* delegate method received from OTProcessor */
- statusDidChange: aProcessor to: (int)statusValue; 

/* Version Control */
+ initialize;

/* Archiving Methods */
- write: (NXTypedStream *) s;
- read: (NXTypedStream *) s;

/* Inspector Information */
- (const char *) inspectorName;


@end
