/*

  File: OTPSView.h
  Authors: Bergerson
  Generated: July 14, 1990
  Modification History:
    Version 10 Feb 1991 release version
    Version 11 Replace postscript buffer with 
      NXImage and OTPSWrapper
*/
/*
Copyright (c) 1990 Objective Technologies, Inc.
All rights reserved.
*/

#import <appkit/View.h>

#define PSV_PREAMBLE 1
#define PSV_POSTAMBLE 2

#define OTPSVIEW_CURRENT_VERSION 11

@interface OTPSView : View
{
  int borderType;
  double backgroundGray;
  id psDelegate;
  int delegateMask;
  id psImage;
  id psWrapper;
}

- initFrame: (const NXRect *) frameRect;
- free;

- drawSelf:(const NXRect *) rects :(int) rectCount;
- drawPreamble: (const NXRect *) rect;
- drawPostamble: (const NXRect *) rect;
- (const char *) somePostScript;
- setPostScript: (const char *) someNewPostScript;

- (int) borderType;
- setBorderType:(int) aType;

- (float) backgroundGray;
- setBackgroundGray: (float) grayValue;

- psDelegate;
- setPsDelegate: anObject;

/* Version Control */
+ initialize;

/* Archiving Methods */
- write: (NXTypedStream *) s;
- read: (NXTypedStream *) s;

/* Inspector Information */
- (const char *) inspectorName;

/* Private Methods */

- calc: (NXRect *) aRect of:(NXRect *) aBound;
- psImage;
- setPsImage: anImage;
- psWrapper;
- setPsWrapper: aWrapper;

@end

/*

Just to remind those who don't remember:

 From appkit/Box.h
#define NX_NOBORDER	0
#define NX_LINE		1
#define NX_BEZEL	2
#define NX_GROOVE	3

 From appkit/graphics.h
#define	NX_WHITE	(1.0)
#define	NX_LTGRAY	(2.0/3.0)
#define	NX_DKGRAY	(1.0/3.0)
#define	NX_BLACK	(0.0)

#define	NX_X(aRect)	((aRect)->origin.x)
#define	NX_Y(aRect)	((aRect)->origin.y)
#define	NX_WIDTH(aRect)	((aRect)->size.width)
#define	NX_HEIGHT(aRect)	((aRect)->size.height)
#define	NX_MAXX(aRect)	((aRect)->origin.x + (aRect)->size.width)
#define	NX_MAXY(aRect)	((aRect)->origin.y + (aRect)->size.height)


*/

