 /*
  File: OTPSWrapper.h
  Authors: Eric Bergerson
  Modification History:

  Create 12/12/91

  Copyright (c) 1991 Objective Technologies, Inc.
  All Rights Reserved.
*/

#define OTPSWRAPPER_CURRENT_VERSION 10
#define OTPSW_HEADERSIZE 512
#import "OTMString.h"

@interface OTPSWrapper : OTMString
{
  id psString;
  char header[OTPSW_HEADERSIZE];
  id delegate;
}
+ initialize;
- init;
- free;
- setHeaderBounds:(NXRect *) aRect;
- setPostScriptBody: (const char *) postScript;
- psString;
- (const char *) postScriptBody;
- (const char *) postScript;
- delegate;
- setDelegate: anObject;
- write: (NXTypedStream *) stream;
- read: (NXTypedStream *) stream;

@end

@interface Object(OTPSWrapperDelegateMethods)
- (const char *) insertPsBeforeBody;
- (const char *) insertPsAfterBody;
@end

